import{s as Vs,n as Us,o as Os}from"../chunks/scheduler.7da89386.js";import{S as Fs,i as Ss,g as r,s as a,r as g,A as Hs,h as i,f as s,c as n,j as u,u as m,x as _,k as v,y as e,a as l,v as c,d as p,t as h,w as d}from"../chunks/index.0b7befd3.js";import{D as f}from"../chunks/Docstring.80026b50.js";import{H as Kt,E as As}from"../chunks/EditOnGithub.0cb2bc8e.js";function js(hs){let w,Qt,Yt,Bt,Y,Jt,W,Xt,k,K,Ie,E,Q,Pe,$t,ds=`Return a dict with metric name and its aggregation function for all
metrics`,Ee,N,B,Ne,bt,us="Constructs a list of requests from the task based on the given parameters.",Me,M,J,ze,yt,vs="Returns the evaluation documents.",Ge,z,X,Ve,qt,_s=`Returns the few shot documents. If the few shot documents are not
available, it gets them from the few shot split or the evaluation split.`,Ue,G,Z,Oe,Tt,fs=`Parses the possible fewshot split keys in order: train, then validation
keys and matches them with the available keys.  Returns the first
available.`,Fe,V,tt,Se,wt,ks="Load datasets from the HuggingFace Hub for the given tasks.",Zt,C,et,He,Ct,xs="Stored configuration of a given <code>LightevalTask</code>.",te,st,ee,b,at,Ae,U,nt,je,Lt,$s=`In some cases, when selecting few-shot samples, we want to use specific document classes
which need to be specified separately from the target.
For example, a document where the gold is a json might want to use only one of the keys of
the json to define sorting classes in few shot samples. Else we take the gold.`,Ye,O,rt,We,Dt,bs="Returns the target of the given document.",Ke,F,it,Qe,Rt,ys=`Returns the query of the document without the instructions. If the
document has instructions, it removes them from the query:`,se,ot,ae,x,lt,Be,It,qs="The Registry class is used to manage the task registry and get task classes.",Je,Pt,gt,Xe,y,mt,Ze,Et,Ts="Get a dictionary of tasks based on the task name list (suite|task).",ts,Nt,ws="Notes:",es,Mt,Cs="<li>Each task in the task_name_list will be instantiated with the corresponding task class.</li>",ss,S,ct,as,zt,Ls="Get the task class based on the task name (suite|task).",ns,H,pt,rs,Gt,Ds="Print all the tasks in the task registry.",ne,ht,re,L,dt,is,Vt,Rs=`Represents a request for a specific task, example and request within that
example in the evaluation process.
For example in the task “boolq”, the example “Is the sun hot?” and the
requests for that example “Is the sun hot? Yes” and “Is the sun hot? No”.`,ie,D,ut,os,Ut,Is="Represents a request for log-likelihood evaluation.",oe,R,vt,ls,Ot,Ps=`Represents a request for calculating the log-likelihood of a single token.
Faster because we can get all the loglikelihoods in one pass.`,le,T,_t,gs,Ft,Es="Represents a request for log-likelihood rolling evaluation.",ms,St,Ns="Inherits from the base Request class.",ge,I,ft,cs,Ht,Ms="Represents a request for generating text using the Greedy-Until algorithm.",me,P,kt,ps,At,zs="Represents a request for generating text using the Greedy-Until algorithm.",ce,xt,pe,Wt,he;return Y=new Kt({props:{title:"Tasks",local:"tasks",headingTag:"h1"}}),W=new Kt({props:{title:"LightevalTask",local:"lighteval.tasks.lighteval_task.LightevalTask",headingTag:"h2"}}),K=new f({props:{name:"class lighteval.tasks.lighteval_task.LightevalTask",anchor:"lighteval.tasks.lighteval_task.LightevalTask",parameters:[{name:"name",val:": str"},{name:"cfg",val:": LightevalTaskConfig"},{name:"cache_dir",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/lighteval_task.py#L165"}}),Q=new f({props:{name:"aggregation",anchor:"lighteval.tasks.lighteval_task.LightevalTask.aggregation",parameters:[],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/lighteval_task.py#L530"}}),B=new f({props:{name:"construct_requests",anchor:"lighteval.tasks.lighteval_task.LightevalTask.construct_requests",parameters:[{name:"formatted_doc",val:": Doc"},{name:"context",val:": str"},{name:"document_id_seed",val:": str"},{name:"current_task_name",val:": str"}],parametersDescription:[{anchor:"lighteval.tasks.lighteval_task.LightevalTask.construct_requests.formatted_doc",description:"<strong>formatted_doc</strong> (Doc) &#x2014; Formatted document almost straight from the dataset.",name:"formatted_doc"},{anchor:"lighteval.tasks.lighteval_task.LightevalTask.construct_requests.ctx",description:"<strong>ctx</strong> (str) &#x2014; Context, which is the few shot examples + the query.",name:"ctx"},{anchor:"lighteval.tasks.lighteval_task.LightevalTask.construct_requests.document_id_seed",description:"<strong>document_id_seed</strong> (str) &#x2014; Index of the document in the task appended with the seed used for the few shot sampling.",name:"document_id_seed"},{anchor:"lighteval.tasks.lighteval_task.LightevalTask.construct_requests.current_task_name",description:"<strong>current_task_name</strong> (str) &#x2014; Name of the current task.",name:"current_task_name"}],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/lighteval_task.py#L345",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>List of requests.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>dict[RequestType, List[Request]]</p>
`}}),J=new f({props:{name:"eval_docs",anchor:"lighteval.tasks.lighteval_task.LightevalTask.eval_docs",parameters:[],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/lighteval_task.py#L332",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Evaluation documents.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>list[Doc]</p>
`}}),X=new f({props:{name:"fewshot_docs",anchor:"lighteval.tasks.lighteval_task.LightevalTask.fewshot_docs",parameters:[],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/lighteval_task.py#L313",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Documents that will be used for few shot examples. One
document = one few shot example.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>list[Doc]</p>
`}}),Z=new f({props:{name:"get_first_possible_fewshot_splits",anchor:"lighteval.tasks.lighteval_task.LightevalTask.get_first_possible_fewshot_splits",parameters:[{name:"available_splits",val:": list[str] | tuple[str, ...]"},{name:"number_of_splits",val:": int = 1"}],parametersDescription:[{anchor:"lighteval.tasks.lighteval_task.LightevalTask.get_first_possible_fewshot_splits.number_of_splits",description:`<strong>number_of_splits</strong> (int, optional) &#x2014; Number of splits to return.
Defaults to 1.`,name:"number_of_splits"}],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/lighteval_task.py#L236",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>List of the first available fewshot splits.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>list[str]</p>
`}}),tt=new f({props:{name:"load_datasets",anchor:"lighteval.tasks.lighteval_task.LightevalTask.load_datasets",parameters:[{name:"tasks",val:": list"},{name:"dataset_loading_processes",val:": int = 1"}],parametersDescription:[{anchor:"lighteval.tasks.lighteval_task.LightevalTask.load_datasets.tasks",description:"<strong>tasks</strong> (list) &#x2014; A list of tasks.",name:"tasks"},{anchor:"lighteval.tasks.lighteval_task.LightevalTask.load_datasets.dataset_loading_processes",description:"<strong>dataset_loading_processes</strong> (int, optional) &#x2014; number of processes to use for dataset loading. Defaults to 1.",name:"dataset_loading_processes"}],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/lighteval_task.py#L537",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>None</p>
`}}),et=new f({props:{name:"class lighteval.tasks.lighteval_task.LightevalTaskConfig",anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig",parameters:[{name:"name",val:": str"},{name:"prompt_function",val:": typing.Callable[[dict, str], lighteval.tasks.requests.Doc | None]"},{name:"hf_repo",val:": str"},{name:"hf_subset",val:": str"},{name:"metric",val:": list[lighteval.metrics.utils.metric_utils.Metric | lighteval.metrics.metrics.Metrics] | tuple[lighteval.metrics.utils.metric_utils.Metric | lighteval.metrics.metrics.Metrics, ...]"},{name:"hf_revision",val:": typing.Optional[str] = None"},{name:"hf_filter",val:": typing.Optional[typing.Callable[[dict], bool]] = None"},{name:"hf_avail_splits",val:": typing.Union[list[str], tuple[str, ...], NoneType] = <factory>"},{name:"trust_dataset",val:": bool = False"},{name:"evaluation_splits",val:": list[str] | tuple[str, ...] = <factory>"},{name:"few_shots_split",val:": typing.Optional[str] = None"},{name:"few_shots_select",val:": typing.Optional[str] = None"},{name:"generation_size",val:": typing.Optional[int] = None"},{name:"generation_grammar",val:": typing.Optional[huggingface_hub.inference._generated.types.text_generation.TextGenerationInputGrammarType] = None"},{name:"stop_sequence",val:": typing.Union[list[str], tuple[str, ...], NoneType] = None"},{name:"output_regex",val:": typing.Optional[str] = None"},{name:"num_samples",val:": typing.Optional[list[int]] = None"},{name:"suite",val:": list[str] | tuple[str, ...] = <factory>"},{name:"original_num_docs",val:": int = -1"},{name:"effective_num_docs",val:": int = -1"},{name:"must_remove_duplicate_docs",val:": bool = False"},{name:"version",val:": int = 0"},{name:"frozen",val:": bool = False"}],parametersDescription:[{anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig.name",description:"<strong>name</strong> (str) &#x2014; Short name of the evaluation task.",name:"name"},{anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig.suite",description:"<strong>suite</strong> (list[str]) &#x2014; Evaluation suites to which the task belongs.",name:"suite"},{anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig.prompt_function",description:"<strong>prompt_function</strong> (Callable[[dict, str], Doc]) &#x2014; Function used to create the <code>Doc</code> samples from each line of the evaluation dataset.",name:"prompt_function"},{anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig.hf_repo",description:"<strong>hf_repo</strong> (str) &#x2014; Path of the hub dataset repository containing the evaluation information.",name:"hf_repo"},{anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig.hf_subset",description:"<strong>hf_subset</strong> (str) &#x2014; Subset used for the current task, will be default if none is selected.",name:"hf_subset"},{anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig.hf_avail_splits",description:"<strong>hf_avail_splits</strong> (list[str]) &#x2014; All the available splits in the evaluation dataset",name:"hf_avail_splits"},{anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig.evaluation_splits",description:"<strong>evaluation_splits</strong> (list[str]) &#x2014; List of the splits actually used for this evaluation",name:"evaluation_splits"},{anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig.few_shots_split",description:"<strong>few_shots_split</strong> (str) &#x2014; Name of the split from which to sample few-shot examples",name:"few_shots_split"},{anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig.few_shots_select",description:"<strong>few_shots_select</strong> (str) &#x2014; Method with which to sample few-shot examples",name:"few_shots_select"},{anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig.generation_size",description:"<strong>generation_size</strong> (int) &#x2014; Maximum allowed size of the generation",name:"generation_size"},{anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig.generation_grammar",description:"<strong>generation_grammar</strong> (TextGenerationInputGrammarType) &#x2014; The grammar to generate completion according to. Currently only available for TGI and Inference Endpoint models.",name:"generation_grammar"},{anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig.metric",description:"<strong>metric</strong> (list[str]) &#x2014; List of all the metrics for the current task.",name:"metric"},{anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig.stop_sequence",description:"<strong>stop_sequence</strong> (list[str]) &#x2014; Stop sequence which interrupts the generation for generative metrics.",name:"stop_sequence"},{anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig.original_num_docs",description:"<strong>original_num_docs</strong> (int) &#x2014; Number of documents in the task",name:"original_num_docs"},{anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig.effective_num_docs",description:"<strong>effective_num_docs</strong> (int) &#x2014; Number of documents used in a specific evaluation",name:"effective_num_docs"},{anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig.truncated_num_docs",description:"<strong>truncated_num_docs</strong> (bool) &#x2014; Whether less than the total number of documents were used",name:"truncated_num_docs"},{anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig.trust_dataset",description:"<strong>trust_dataset</strong> (bool) &#x2014; Whether to trust the dataset at execution or not",name:"trust_dataset"},{anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig.version",description:"<strong>version</strong> (int) &#x2014; The version of the task. Defaults to 0. Can be increased if the underlying dataset or the prompt changes.",name:"version"},{anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig.output_regex",description:"<strong>output_regex</strong> (str) &#x2014;",name:"output_regex"},{anchor:"lighteval.tasks.lighteval_task.LightevalTaskConfig.frozen",description:"<strong>frozen</strong> (bool) &#x2014;",name:"frozen"}],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/lighteval_task.py#L64"}}),st=new Kt({props:{title:"PromptManager",local:"lighteval.tasks.prompt_manager.PromptManager",headingTag:"h2"}}),at=new f({props:{name:"class lighteval.tasks.prompt_manager.PromptManager",anchor:"lighteval.tasks.prompt_manager.PromptManager",parameters:[{name:"task",val:": LightevalTask"},{name:"lm",val:": LightevalModel"}],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/prompt_manager.py#L40"}}),nt=new f({props:{name:"doc_to_fewshot_sorting_class",anchor:"lighteval.tasks.prompt_manager.PromptManager.doc_to_fewshot_sorting_class",parameters:[{name:"formatted_doc",val:": Doc"}],parametersDescription:[{anchor:"lighteval.tasks.prompt_manager.PromptManager.doc_to_fewshot_sorting_class.formatted_doc",description:"<strong>formatted_doc</strong> (Doc) &#x2014; Formatted document.",name:"formatted_doc"}],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/prompt_manager.py#L80",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Class of the</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>str</p>
`}}),rt=new f({props:{name:"doc_to_target",anchor:"lighteval.tasks.prompt_manager.PromptManager.doc_to_target",parameters:[{name:"formatted_doc",val:": Doc"}],parametersDescription:[{anchor:"lighteval.tasks.prompt_manager.PromptManager.doc_to_target.formatted_doc",description:"<strong>formatted_doc</strong> (Doc) &#x2014; Formatted document.",name:"formatted_doc"}],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/prompt_manager.py#L67",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Target of the document, which is the correct answer for a document.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>str</p>
`}}),it=new f({props:{name:"doc_to_text",anchor:"lighteval.tasks.prompt_manager.PromptManager.doc_to_text",parameters:[{name:"doc",val:": Doc"},{name:"return_instructions",val:": bool = False"}],parametersDescription:[{anchor:"lighteval.tasks.prompt_manager.PromptManager.doc_to_text.doc",description:`<strong>doc</strong> (Doc) &#x2014; document class, containing the query and the
instructions.`,name:"doc"}],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/prompt_manager.py#L46",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Query of the document without the instructions.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>str</p>
`}}),ot=new Kt({props:{title:"Registry",local:"lighteval.tasks.registry.Registry",headingTag:"h2"}}),lt=new f({props:{name:"class lighteval.tasks.registry.Registry",anchor:"lighteval.tasks.registry.Registry",parameters:[{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"custom_tasks",val:": typing.Union[str, pathlib.Path, module, NoneType] = None"}],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/registry.py#L66"}}),gt=new f({props:{name:"expand_task_definition",anchor:"lighteval.tasks.registry.Registry.expand_task_definition",parameters:[{name:"task_definition",val:": str"}],parametersDescription:[{anchor:"lighteval.tasks.registry.Registry.expand_task_definition.task_definition",description:`<strong>task_definition</strong> (str) &#x2014; Task definition to expand. In format:<ul>
<li>suite|task</li>
<li>suite|task_superset (e.g lighteval|mmlu, which runs all the mmlu subtasks)</li>
</ul>`,name:"task_definition"}],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/registry.py#L214",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>List of task names (suite|task)</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>list[str]</p>
`}}),mt=new f({props:{name:"get_task_dict",anchor:"lighteval.tasks.registry.Registry.get_task_dict",parameters:[{name:"task_names",val:": list"}],parametersDescription:[{anchor:"lighteval.tasks.registry.Registry.get_task_dict.task_name_list",description:"<strong>task_name_list</strong> (List[str]) &#x2014; A list of task names (suite|task).",name:"task_name_list"}],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/registry.py#L198",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A dictionary containing the tasks.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Dict[str, LightevalTask]</p>
`}}),ct=new f({props:{name:"get_task_instance",anchor:"lighteval.tasks.registry.Registry.get_task_instance",parameters:[{name:"task_name",val:": str"}],parametersDescription:[{anchor:"lighteval.tasks.registry.Registry.get_task_instance.task_name",description:"<strong>task_name</strong> (str) &#x2014; Name of the task (suite|task).",name:"task_name"}],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/registry.py#L93",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Task class.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>LightevalTask</p>
`,raiseDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<ul>
<li><code>ValueError</code> — If the task is not found in the task registry or custom task registry.</li>
</ul>
`,raiseType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>ValueError</code></p>
`}}),pt=new f({props:{name:"print_all_tasks",anchor:"lighteval.tasks.registry.Registry.print_all_tasks",parameters:[],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/registry.py#L232"}}),ht=new Kt({props:{title:"Requests",local:"lighteval.tasks.requests.Request",headingTag:"h2"}}),dt=new f({props:{name:"class lighteval.tasks.requests.Request",anchor:"lighteval.tasks.requests.Request",parameters:[{name:"task_name",val:": str"},{name:"sample_index",val:": int"},{name:"request_index",val:": int"},{name:"context",val:": str"},{name:"metric_categories",val:": list"}],parametersDescription:[{anchor:"lighteval.tasks.requests.Request.task_name",description:"<strong>task_name</strong> (str) &#x2014; The name of the task.",name:"task_name"},{anchor:"lighteval.tasks.requests.Request.sample_index",description:"<strong>sample_index</strong> (int) &#x2014; The index of the example.",name:"sample_index"},{anchor:"lighteval.tasks.requests.Request.request_index",description:"<strong>request_index</strong> (int) &#x2014; The index of the request.",name:"request_index"},{anchor:"lighteval.tasks.requests.Request.context",description:"<strong>context</strong> (str) &#x2014; The context for the request.",name:"context"},{anchor:"lighteval.tasks.requests.Request.metric_categories",description:"<strong>metric_categories</strong> (list[MetricCategory]) &#x2014; All the metric categories which concern this request",name:"metric_categories"}],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/requests.py#L41"}}),ut=new f({props:{name:"class lighteval.tasks.requests.LoglikelihoodRequest",anchor:"lighteval.tasks.requests.LoglikelihoodRequest",parameters:[{name:"task_name",val:": str"},{name:"sample_index",val:": int"},{name:"request_index",val:": int"},{name:"context",val:": str"},{name:"metric_categories",val:": list"},{name:"choice",val:": str"},{name:"tokenized_context",val:": list = None"},{name:"tokenized_continuation",val:": list = None"}],parametersDescription:[{anchor:"lighteval.tasks.requests.LoglikelihoodRequest.choice",description:"<strong>choice</strong> (str) &#x2014; The choice to evaluate the log-likelihood for.",name:"choice"},{anchor:"lighteval.tasks.requests.LoglikelihoodRequest.request_type",description:"<strong>request_type</strong> (RequestType) &#x2014; The type of the request (LOGLIKELIHOOD).",name:"request_type"}],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/requests.py#L64"}}),vt=new f({props:{name:"class lighteval.tasks.requests.LoglikelihoodSingleTokenRequest",anchor:"lighteval.tasks.requests.LoglikelihoodSingleTokenRequest",parameters:[{name:"task_name",val:": str"},{name:"sample_index",val:": int"},{name:"request_index",val:": int"},{name:"context",val:": str"},{name:"metric_categories",val:": list"},{name:"choices",val:": list"},{name:"tokenized_context",val:": list = None"},{name:"tokenized_continuation",val:": list = None"}],parametersDescription:[{anchor:"lighteval.tasks.requests.LoglikelihoodSingleTokenRequest.choices",description:"<strong>choices</strong> (list[str]) &#x2014; The list of token choices.",name:"choices"},{anchor:"lighteval.tasks.requests.LoglikelihoodSingleTokenRequest.request_type",description:"<strong>request_type</strong> (RequestType) &#x2014; The type of the request.",name:"request_type"}],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/requests.py#L80"}}),_t=new f({props:{name:"class lighteval.tasks.requests.LoglikelihoodRollingRequest",anchor:"lighteval.tasks.requests.LoglikelihoodRollingRequest",parameters:[{name:"task_name",val:": str"},{name:"sample_index",val:": int"},{name:"request_index",val:": int"},{name:"context",val:": str"},{name:"metric_categories",val:": list"},{name:"tokenized_context",val:": list = None"},{name:"tokenized_continuation",val:": list = None"}],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/requests.py#L97"}}),ft=new f({props:{name:"class lighteval.tasks.requests.GreedyUntilRequest",anchor:"lighteval.tasks.requests.GreedyUntilRequest",parameters:[{name:"task_name",val:": str"},{name:"sample_index",val:": int"},{name:"request_index",val:": int"},{name:"context",val:": str"},{name:"metric_categories",val:": list"},{name:"stop_sequence",val:": typing.Union[str, tuple[str], list[str]]"},{name:"generation_size",val:": typing.Optional[int]"},{name:"generation_grammar",val:": typing.Optional[huggingface_hub.inference._generated.types.text_generation.TextGenerationInputGrammarType] = None"},{name:"tokenized_context",val:": list = None"},{name:"num_samples",val:": int = None"},{name:"do_sample",val:": bool = False"},{name:"use_logits",val:": bool = False"}],parametersDescription:[{anchor:"lighteval.tasks.requests.GreedyUntilRequest.stop_sequence",description:"<strong>stop_sequence</strong> (str) &#x2014; The sequence of tokens that indicates when to stop generating text.",name:"stop_sequence"},{anchor:"lighteval.tasks.requests.GreedyUntilRequest.generation_size",description:"<strong>generation_size</strong> (int) &#x2014; The maximum number of tokens to generate.",name:"generation_size"},{anchor:"lighteval.tasks.requests.GreedyUntilRequest.generation_grammar",description:`<strong>generation_grammar</strong> (TextGenerationInputGrammarType) &#x2014; The grammar to generate completion according to.
Currently only available for TGI models.`,name:"generation_grammar"},{anchor:"lighteval.tasks.requests.GreedyUntilRequest.request_type",description:"<strong>request_type</strong> (RequestType) &#x2014; The type of the request, set to RequestType.GREEDY_UNTIL.",name:"request_type"}],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/requests.py#L110"}}),kt=new f({props:{name:"class lighteval.tasks.requests.GreedyUntilMultiTurnRequest",anchor:"lighteval.tasks.requests.GreedyUntilMultiTurnRequest",parameters:[{name:"task_name",val:": str"},{name:"sample_index",val:": int"},{name:"request_index",val:": int"},{name:"context",val:": str"},{name:"metric_categories",val:": list"},{name:"stop_sequence",val:": str"},{name:"generation_size",val:": int"},{name:"use_logits",val:": bool = False"}],parametersDescription:[{anchor:"lighteval.tasks.requests.GreedyUntilMultiTurnRequest.stop_sequence",description:"<strong>stop_sequence</strong> (str) &#x2014; The sequence of tokens that indicates when to stop generating text.",name:"stop_sequence"},{anchor:"lighteval.tasks.requests.GreedyUntilMultiTurnRequest.generation_size",description:"<strong>generation_size</strong> (int) &#x2014; The maximum number of tokens to generate.",name:"generation_size"},{anchor:"lighteval.tasks.requests.GreedyUntilMultiTurnRequest.request_type",description:"<strong>request_type</strong> (RequestType) &#x2014; The type of the request, set to RequestType.GREEDY_UNTIL.",name:"request_type"}],source:"https://github.com/huggingface/lighteval/blob/vr_413/src/lighteval/tasks/requests.py#L133"}}),xt=new As({props:{source:"https://github.com/huggingface/lighteval/blob/main/docs/source/package_reference/tasks.mdx"}}),{c(){w=r("meta"),Qt=a(),Yt=r("p"),Bt=a(),g(Y.$$.fragment),Jt=a(),g(W.$$.fragment),Xt=a(),k=r("div"),g(K.$$.fragment),Ie=a(),E=r("div"),g(Q.$$.fragment),Pe=a(),$t=r("p"),$t.textContent=ds,Ee=a(),N=r("div"),g(B.$$.fragment),Ne=a(),bt=r("p"),bt.textContent=us,Me=a(),M=r("div"),g(J.$$.fragment),ze=a(),yt=r("p"),yt.textContent=vs,Ge=a(),z=r("div"),g(X.$$.fragment),Ve=a(),qt=r("p"),qt.textContent=_s,Ue=a(),G=r("div"),g(Z.$$.fragment),Oe=a(),Tt=r("p"),Tt.textContent=fs,Fe=a(),V=r("div"),g(tt.$$.fragment),Se=a(),wt=r("p"),wt.textContent=ks,Zt=a(),C=r("div"),g(et.$$.fragment),He=a(),Ct=r("p"),Ct.innerHTML=xs,te=a(),g(st.$$.fragment),ee=a(),b=r("div"),g(at.$$.fragment),Ae=a(),U=r("div"),g(nt.$$.fragment),je=a(),Lt=r("p"),Lt.textContent=$s,Ye=a(),O=r("div"),g(rt.$$.fragment),We=a(),Dt=r("p"),Dt.textContent=bs,Ke=a(),F=r("div"),g(it.$$.fragment),Qe=a(),Rt=r("p"),Rt.textContent=ys,se=a(),g(ot.$$.fragment),ae=a(),x=r("div"),g(lt.$$.fragment),Be=a(),It=r("p"),It.textContent=qs,Je=a(),Pt=r("div"),g(gt.$$.fragment),Xe=a(),y=r("div"),g(mt.$$.fragment),Ze=a(),Et=r("p"),Et.textContent=Ts,ts=a(),Nt=r("p"),Nt.textContent=ws,es=a(),Mt=r("ul"),Mt.innerHTML=Cs,ss=a(),S=r("div"),g(ct.$$.fragment),as=a(),zt=r("p"),zt.textContent=Ls,ns=a(),H=r("div"),g(pt.$$.fragment),rs=a(),Gt=r("p"),Gt.textContent=Ds,ne=a(),g(ht.$$.fragment),re=a(),L=r("div"),g(dt.$$.fragment),is=a(),Vt=r("p"),Vt.textContent=Rs,ie=a(),D=r("div"),g(ut.$$.fragment),os=a(),Ut=r("p"),Ut.textContent=Is,oe=a(),R=r("div"),g(vt.$$.fragment),ls=a(),Ot=r("p"),Ot.textContent=Ps,le=a(),T=r("div"),g(_t.$$.fragment),gs=a(),Ft=r("p"),Ft.textContent=Es,ms=a(),St=r("p"),St.textContent=Ns,ge=a(),I=r("div"),g(ft.$$.fragment),cs=a(),Ht=r("p"),Ht.textContent=Ms,me=a(),P=r("div"),g(kt.$$.fragment),ps=a(),At=r("p"),At.textContent=zs,ce=a(),g(xt.$$.fragment),pe=a(),Wt=r("p"),this.h()},l(t){const o=Hs("svelte-u9bgzb",document.head);w=i(o,"META",{name:!0,content:!0}),o.forEach(s),Qt=n(t),Yt=i(t,"P",{}),u(Yt).forEach(s),Bt=n(t),m(Y.$$.fragment,t),Jt=n(t),m(W.$$.fragment,t),Xt=n(t),k=i(t,"DIV",{class:!0});var $=u(k);m(K.$$.fragment,$),Ie=n($),E=i($,"DIV",{class:!0});var de=u(E);m(Q.$$.fragment,de),Pe=n(de),$t=i(de,"P",{"data-svelte-h":!0}),_($t)!=="svelte-e3kmxq"&&($t.textContent=ds),de.forEach(s),Ee=n($),N=i($,"DIV",{class:!0});var ue=u(N);m(B.$$.fragment,ue),Ne=n(ue),bt=i(ue,"P",{"data-svelte-h":!0}),_(bt)!=="svelte-1ahzpty"&&(bt.textContent=us),ue.forEach(s),Me=n($),M=i($,"DIV",{class:!0});var ve=u(M);m(J.$$.fragment,ve),ze=n(ve),yt=i(ve,"P",{"data-svelte-h":!0}),_(yt)!=="svelte-qytfqy"&&(yt.textContent=vs),ve.forEach(s),Ge=n($),z=i($,"DIV",{class:!0});var _e=u(z);m(X.$$.fragment,_e),Ve=n(_e),qt=i(_e,"P",{"data-svelte-h":!0}),_(qt)!=="svelte-1y4eieh"&&(qt.textContent=_s),_e.forEach(s),Ue=n($),G=i($,"DIV",{class:!0});var fe=u(G);m(Z.$$.fragment,fe),Oe=n(fe),Tt=i(fe,"P",{"data-svelte-h":!0}),_(Tt)!=="svelte-1283lse"&&(Tt.textContent=fs),fe.forEach(s),Fe=n($),V=i($,"DIV",{class:!0});var ke=u(V);m(tt.$$.fragment,ke),Se=n(ke),wt=i(ke,"P",{"data-svelte-h":!0}),_(wt)!=="svelte-sf66t8"&&(wt.textContent=ks),ke.forEach(s),$.forEach(s),Zt=n(t),C=i(t,"DIV",{class:!0});var xe=u(C);m(et.$$.fragment,xe),He=n(xe),Ct=i(xe,"P",{"data-svelte-h":!0}),_(Ct)!=="svelte-1detw9o"&&(Ct.innerHTML=xs),xe.forEach(s),te=n(t),m(st.$$.fragment,t),ee=n(t),b=i(t,"DIV",{class:!0});var A=u(b);m(at.$$.fragment,A),Ae=n(A),U=i(A,"DIV",{class:!0});var $e=u(U);m(nt.$$.fragment,$e),je=n($e),Lt=i($e,"P",{"data-svelte-h":!0}),_(Lt)!=="svelte-rvzqqg"&&(Lt.textContent=$s),$e.forEach(s),Ye=n(A),O=i(A,"DIV",{class:!0});var be=u(O);m(rt.$$.fragment,be),We=n(be),Dt=i(be,"P",{"data-svelte-h":!0}),_(Dt)!=="svelte-tgn2zx"&&(Dt.textContent=bs),be.forEach(s),Ke=n(A),F=i(A,"DIV",{class:!0});var ye=u(F);m(it.$$.fragment,ye),Qe=n(ye),Rt=i(ye,"P",{"data-svelte-h":!0}),_(Rt)!=="svelte-7cxfms"&&(Rt.textContent=ys),ye.forEach(s),A.forEach(s),se=n(t),m(ot.$$.fragment,t),ae=n(t),x=i(t,"DIV",{class:!0});var q=u(x);m(lt.$$.fragment,q),Be=n(q),It=i(q,"P",{"data-svelte-h":!0}),_(It)!=="svelte-2fh3bo"&&(It.textContent=qs),Je=n(q),Pt=i(q,"DIV",{class:!0});var Gs=u(Pt);m(gt.$$.fragment,Gs),Gs.forEach(s),Xe=n(q),y=i(q,"DIV",{class:!0});var j=u(y);m(mt.$$.fragment,j),Ze=n(j),Et=i(j,"P",{"data-svelte-h":!0}),_(Et)!=="svelte-6jsqgb"&&(Et.textContent=Ts),ts=n(j),Nt=i(j,"P",{"data-svelte-h":!0}),_(Nt)!=="svelte-1biq3pv"&&(Nt.textContent=ws),es=n(j),Mt=i(j,"UL",{"data-svelte-h":!0}),_(Mt)!=="svelte-92brbd"&&(Mt.innerHTML=Cs),j.forEach(s),ss=n(q),S=i(q,"DIV",{class:!0});var qe=u(S);m(ct.$$.fragment,qe),as=n(qe),zt=i(qe,"P",{"data-svelte-h":!0}),_(zt)!=="svelte-15wn4sl"&&(zt.textContent=Ls),qe.forEach(s),ns=n(q),H=i(q,"DIV",{class:!0});var Te=u(H);m(pt.$$.fragment,Te),rs=n(Te),Gt=i(Te,"P",{"data-svelte-h":!0}),_(Gt)!=="svelte-x1foin"&&(Gt.textContent=Ds),Te.forEach(s),q.forEach(s),ne=n(t),m(ht.$$.fragment,t),re=n(t),L=i(t,"DIV",{class:!0});var we=u(L);m(dt.$$.fragment,we),is=n(we),Vt=i(we,"P",{"data-svelte-h":!0}),_(Vt)!=="svelte-zf5ael"&&(Vt.textContent=Rs),we.forEach(s),ie=n(t),D=i(t,"DIV",{class:!0});var Ce=u(D);m(ut.$$.fragment,Ce),os=n(Ce),Ut=i(Ce,"P",{"data-svelte-h":!0}),_(Ut)!=="svelte-arv8a3"&&(Ut.textContent=Is),Ce.forEach(s),oe=n(t),R=i(t,"DIV",{class:!0});var Le=u(R);m(vt.$$.fragment,Le),ls=n(Le),Ot=i(Le,"P",{"data-svelte-h":!0}),_(Ot)!=="svelte-1mewloc"&&(Ot.textContent=Ps),Le.forEach(s),le=n(t),T=i(t,"DIV",{class:!0});var jt=u(T);m(_t.$$.fragment,jt),gs=n(jt),Ft=i(jt,"P",{"data-svelte-h":!0}),_(Ft)!=="svelte-136acwq"&&(Ft.textContent=Es),ms=n(jt),St=i(jt,"P",{"data-svelte-h":!0}),_(St)!=="svelte-1lh5azd"&&(St.textContent=Ns),jt.forEach(s),ge=n(t),I=i(t,"DIV",{class:!0});var De=u(I);m(ft.$$.fragment,De),cs=n(De),Ht=i(De,"P",{"data-svelte-h":!0}),_(Ht)!=="svelte-1ir3rum"&&(Ht.textContent=Ms),De.forEach(s),me=n(t),P=i(t,"DIV",{class:!0});var Re=u(P);m(kt.$$.fragment,Re),ps=n(Re),At=i(Re,"P",{"data-svelte-h":!0}),_(At)!=="svelte-1ir3rum"&&(At.textContent=zs),Re.forEach(s),ce=n(t),m(xt.$$.fragment,t),pe=n(t),Wt=i(t,"P",{}),u(Wt).forEach(s),this.h()},h(){v(w,"name","hf:doc:metadata"),v(w,"content",Ys),v(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(Pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,o){e(document.head,w),l(t,Qt,o),l(t,Yt,o),l(t,Bt,o),c(Y,t,o),l(t,Jt,o),c(W,t,o),l(t,Xt,o),l(t,k,o),c(K,k,null),e(k,Ie),e(k,E),c(Q,E,null),e(E,Pe),e(E,$t),e(k,Ee),e(k,N),c(B,N,null),e(N,Ne),e(N,bt),e(k,Me),e(k,M),c(J,M,null),e(M,ze),e(M,yt),e(k,Ge),e(k,z),c(X,z,null),e(z,Ve),e(z,qt),e(k,Ue),e(k,G),c(Z,G,null),e(G,Oe),e(G,Tt),e(k,Fe),e(k,V),c(tt,V,null),e(V,Se),e(V,wt),l(t,Zt,o),l(t,C,o),c(et,C,null),e(C,He),e(C,Ct),l(t,te,o),c(st,t,o),l(t,ee,o),l(t,b,o),c(at,b,null),e(b,Ae),e(b,U),c(nt,U,null),e(U,je),e(U,Lt),e(b,Ye),e(b,O),c(rt,O,null),e(O,We),e(O,Dt),e(b,Ke),e(b,F),c(it,F,null),e(F,Qe),e(F,Rt),l(t,se,o),c(ot,t,o),l(t,ae,o),l(t,x,o),c(lt,x,null),e(x,Be),e(x,It),e(x,Je),e(x,Pt),c(gt,Pt,null),e(x,Xe),e(x,y),c(mt,y,null),e(y,Ze),e(y,Et),e(y,ts),e(y,Nt),e(y,es),e(y,Mt),e(x,ss),e(x,S),c(ct,S,null),e(S,as),e(S,zt),e(x,ns),e(x,H),c(pt,H,null),e(H,rs),e(H,Gt),l(t,ne,o),c(ht,t,o),l(t,re,o),l(t,L,o),c(dt,L,null),e(L,is),e(L,Vt),l(t,ie,o),l(t,D,o),c(ut,D,null),e(D,os),e(D,Ut),l(t,oe,o),l(t,R,o),c(vt,R,null),e(R,ls),e(R,Ot),l(t,le,o),l(t,T,o),c(_t,T,null),e(T,gs),e(T,Ft),e(T,ms),e(T,St),l(t,ge,o),l(t,I,o),c(ft,I,null),e(I,cs),e(I,Ht),l(t,me,o),l(t,P,o),c(kt,P,null),e(P,ps),e(P,At),l(t,ce,o),c(xt,t,o),l(t,pe,o),l(t,Wt,o),he=!0},p:Us,i(t){he||(p(Y.$$.fragment,t),p(W.$$.fragment,t),p(K.$$.fragment,t),p(Q.$$.fragment,t),p(B.$$.fragment,t),p(J.$$.fragment,t),p(X.$$.fragment,t),p(Z.$$.fragment,t),p(tt.$$.fragment,t),p(et.$$.fragment,t),p(st.$$.fragment,t),p(at.$$.fragment,t),p(nt.$$.fragment,t),p(rt.$$.fragment,t),p(it.$$.fragment,t),p(ot.$$.fragment,t),p(lt.$$.fragment,t),p(gt.$$.fragment,t),p(mt.$$.fragment,t),p(ct.$$.fragment,t),p(pt.$$.fragment,t),p(ht.$$.fragment,t),p(dt.$$.fragment,t),p(ut.$$.fragment,t),p(vt.$$.fragment,t),p(_t.$$.fragment,t),p(ft.$$.fragment,t),p(kt.$$.fragment,t),p(xt.$$.fragment,t),he=!0)},o(t){h(Y.$$.fragment,t),h(W.$$.fragment,t),h(K.$$.fragment,t),h(Q.$$.fragment,t),h(B.$$.fragment,t),h(J.$$.fragment,t),h(X.$$.fragment,t),h(Z.$$.fragment,t),h(tt.$$.fragment,t),h(et.$$.fragment,t),h(st.$$.fragment,t),h(at.$$.fragment,t),h(nt.$$.fragment,t),h(rt.$$.fragment,t),h(it.$$.fragment,t),h(ot.$$.fragment,t),h(lt.$$.fragment,t),h(gt.$$.fragment,t),h(mt.$$.fragment,t),h(ct.$$.fragment,t),h(pt.$$.fragment,t),h(ht.$$.fragment,t),h(dt.$$.fragment,t),h(ut.$$.fragment,t),h(vt.$$.fragment,t),h(_t.$$.fragment,t),h(ft.$$.fragment,t),h(kt.$$.fragment,t),h(xt.$$.fragment,t),he=!1},d(t){t&&(s(Qt),s(Yt),s(Bt),s(Jt),s(Xt),s(k),s(Zt),s(C),s(te),s(ee),s(b),s(se),s(ae),s(x),s(ne),s(re),s(L),s(ie),s(D),s(oe),s(R),s(le),s(T),s(ge),s(I),s(me),s(P),s(ce),s(pe),s(Wt)),s(w),d(Y,t),d(W,t),d(K),d(Q),d(B),d(J),d(X),d(Z),d(tt),d(et),d(st,t),d(at),d(nt),d(rt),d(it),d(ot,t),d(lt),d(gt),d(mt),d(ct),d(pt),d(ht,t),d(dt),d(ut),d(vt),d(_t),d(ft),d(kt),d(xt,t)}}}const Ys='{"title":"Tasks","local":"tasks","sections":[{"title":"LightevalTask","local":"lighteval.tasks.lighteval_task.LightevalTask","sections":[],"depth":2},{"title":"PromptManager","local":"lighteval.tasks.prompt_manager.PromptManager","sections":[],"depth":2},{"title":"Registry","local":"lighteval.tasks.registry.Registry","sections":[],"depth":2},{"title":"Requests","local":"lighteval.tasks.requests.Request","sections":[],"depth":2}],"depth":1}';function Ws(hs){return Os(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Xs extends Fs{constructor(w){super(),Ss(this,w,Ws,js,Vs,{})}}export{Xs as component};
